(function($) {
  'use strict';
  var countTo, initStatsCount;
  //: Count from zero to a custom number
  countTo = function(num, target, duration) {
    var countToRun, end, endTime, minTimer, range, start, startTime, stepTime, timer;
    if (duration) {
      end = num;
      start = 0;
      range = end - start;
      minTimer = 50;
      stepTime = Math.max(Math.abs(Math.floor(duration / range)), minTimer);
      startTime = new Date().getTime();
      endTime = startTime + duration;
      countToRun = function() {
        var now, remaining, value;
        now = (new Date).getTime();
        remaining = Math.max((endTime - now) / duration, 0);
        value = Math.round(end - (remaining * range));
        target.text(value.toLocaleString('en-IN'));
        if (value === Math.round(end)) {
          target.text(num.toLocaleString('en-IN'));
          clearInterval(timer);
        }
      };
      timer = setInterval(countToRun, stepTime);
      countToRun();
    } else {
      target.text(num.toLocaleString('en-IN'));
    }
  };
  //: Init Stats Counter
  initStatsCount = function() {
    var $stats;
    $stats = $('[data-count-speed]');
    if ($stats.length) {
      $stats.each(function() {
        var $this, $this_speed;
        $this = $(this);
        $this_speed = parseInt($this.data('count-speed'));
        countTo(parseFloat($this.text()), $this, $this_speed);
      });
    }
  };
  initStatsCount();
})(jQuery);
