<?php
    /**
     * Custom blocks for Gutenberg
     */

    if( function_exists('acf_register_block_type') ) {
        // Register blocks category
        add_filter( 'block_categories', function( $categories, $post ) {
            return array_merge(
                $categories,
                array(
                    array(
                        'slug'  => 'theme-blocks',
                        'title' => __('Theme Blocks', 'thegoodplasticcompany'),
                    ),
                )
            );
        }, 10, 2 );

        function thegoodplasticcompany_register_acf_block_types() {
            $blocks = array(
                            'tagline'       => array(
                                                'name'              => 'tagline',
                                                'title'             => __('Tagline', 'thegoodplasticcompany'),
                                                'description'       => __('Section tagline block with heading and separator.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/tagline.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M6,10v7C6,17.4,6,17.8,6.2,18c0.1,0.3,0.3,0.5,0.5,0.6c0.2,0.1,0.4,0.2,0.7,0.3C7.7,19,8,19,8.3,19H9l0,1H0l0-1l0.7,0 c0.3,0,0.6,0,0.9-0.1c0.3,0,0.5-0.1,0.7-0.3c0.2-0.1,0.4-0.3,0.5-0.6C3,17.7,3,17.4,3,16.9V2.8c0-0.4-0.1-0.7-0.2-1 C2.7,1.6,2.5,1.4,2.3,1.3C2.1,1.1,1.9,1,1.6,1C1.3,1,1,0.9,0.7,0.9L0,1V0h9v1L8.3,1C8,1,7.7,1,7.4,1.1c-0.3,0-0.5,0.1-0.7,0.3 C6.5,1.5,6.3,1.7,6.2,1.9C6,2.2,6,2.6,6,3v6h8V3c0-0.4-0.1-0.8-0.2-1.1c-0.1-0.3-0.3-0.5-0.5-0.6c-0.2-0.1-0.4-0.2-0.7-0.3 C12.3,1,12,1,11.7,1L11,1V0l9,0v1l-0.7,0c-0.3,0-0.6,0-0.9,0.1c-0.3,0-0.5,0.1-0.7,0.3c-0.2,0.1-0.4,0.3-0.5,0.6 C17,2.1,17,2.4,17,2.8v14.1c0,0.4,0.1,0.8,0.2,1.1c0.1,0.3,0.3,0.5,0.5,0.6c0.2,0.1,0.5,0.2,0.7,0.3c0.3,0,0.6,0.1,0.9,0.1l0.7,0 l0,1h-9l0-1h0.7c0.3,0,0.6,0,0.9-0.1c0.3,0,0.5-0.1,0.7-0.3c0.2-0.1,0.4-0.3,0.5-0.6C14,17.8,14,17.4,14,17v-7H6z"/></svg>',
                                                'keywords'          => array( 'title', 'tagline', 'heading' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'floating-title' => array(
                                                'name'              => 'floating-title',
                                                'title'             => __('Floating Title', 'thegoodplasticcompany'),
                                                'description'       => __('Section title block with parallax effect.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/floating-title.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M17.9,4.8c-0.7-0.5-1.4-1-2.9-1c-1.5,0-2.2,0.6-2.9,1C11.5,5.2,11,5.6,10,5.6c-1,0-1.5-0.3-2.1-0.8 c-0.7-0.5-1.4-1-2.9-1s-2.2,0.6-2.9,1C1.5,5.2,1,5.6,0,5.6v2.5c1,0,1.5-0.3,2.1-0.8c0.7-0.5,1.4-1,2.9-1s2.2,0.6,2.9,1 C8.5,7.7,9,8.1,10,8.1c1,0,1.5-0.3,2.1-0.8c0.7-0.5,1.4-1,2.9-1s2.2,0.6,2.9,1C18.5,7.7,19,8.1,20,8.1V5.6C19,5.6,18.5,5.2,17.9,4.8 z M17.1,12.5C16.5,12,16,11.7,15,11.7c-1,0-1.5,0.3-2.1,0.8c-0.7,0.5-1.4,1-2.9,1c-1.5,0-2.2-0.6-2.9-1C6.5,12,6,11.7,5,11.7 c-1,0-1.5,0.3-2.1,0.8c-0.7,0.5-1.4,1-2.9,1V16c1.5,0,2.2-0.6,2.9-1C3.5,14.5,4,14.2,5,14.2s1.5,0.3,2.1,0.8c0.7,0.5,1.4,1,2.9,1 c1.5,0,2.2-0.6,2.9-1c0.6-0.4,1.1-0.8,2.1-0.8c1,0,1.5,0.3,2.1,0.8c0.7,0.5,1.4,1,2.9,1v-2.5C18.5,13.5,17.8,13,17.1,12.5z M17.1,8.4C16.5,8,16,7.6,15,7.6c-1,0-1.5,0.3-2.1,0.8c-0.7,0.5-1.4,1-2.9,1c-1.5,0-2.2-0.6-2.9-1C6.5,8,6,7.6,5,7.6 C4,7.6,3.5,8,2.9,8.4c-0.7,0.5-1.4,1-2.9,1v2.7c1,0,1.5-0.3,2.1-0.8c0.7-0.5,1.4-1,2.9-1s2.2,0.6,2.9,1c0.6,0.4,1.1,0.8,2.1,0.8 c1,0,1.5-0.3,2.1-0.8c0.7-0.5,1.4-1,2.9-1s2.2,0.6,2.9,1c0.6,0.4,1.1,0.8,2.1,0.8V9.4C18.5,9.4,17.8,8.9,17.1,8.4z"/></svg>',
                                                'keywords'          => array( 'title', 'parallax', 'heading' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'floating-image' => array(
                                                'name'              => 'floating-image',
                                                'title'             => __('Floating image', 'thegoodplasticcompany'),
                                                'description'       => __('Image with parallax effect.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/floating-image.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M19,3.3c0,0,0.3,10.7,0.1,14.4c0,0.7-0.6,1.3-1.3,1.3L3.3,19c0,0.4,0.6,1,1.3,1H18c1.1,0,2-0.9,2-2V4.7 C20,3.9,19.4,3.3,19,3.3z M17,15V2c0-1.1-0.9-2-2-2H2C0.9,0,0,0.9,0,2v13c0,1.1,0.9,2,2,2h13C16.1,17,17,16.1,17,15z M12.1,7.9 C12.1,7.9,12.1,7.9,12.1,7.9l-2.9,2.9L6.2,7.9C6,7.6,5.6,7.6,5.3,7.9L1,12.1V1.7C1,1.3,1.3,1,1.7,1h13.7C15.7,1,16,1.3,16,1.7v9.1 l-2.9-2.9C12.8,7.6,12.4,7.6,12.1,7.9z M9.3,3.3c-1.1,0-2,0.9-2,2s0.9,2,2,2s2-0.9,2-2S10.4,3.3,9.3,3.3z M9.3,6 C9,6,8.7,5.7,8.7,5.3C8.7,5,9,4.7,9.3,4.7C9.7,4.7,10,5,10,5.3S9.7,6,9.3,6z"/></svg>',
                                                'keywords'          => array( 'image', 'parallax', 'photo' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'read-more'     => array(
                                                'name'              => 'read-more',
                                                'title'             => __('Read more', 'thegoodplasticcompany'),
                                                'description'       => __('Custom Read More button.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/read-more.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M12,10c0,1.1-0.9,2-2,2s-2-0.9-2-2s0.9-2,2-2S12,8.9,12,10z M16,8c-1.1,0-2,0.9-2,2s0.9,2,2,2s2-0.9,2-2 S17.1,8,16,8z M2,10c0,1.1,0.9,2,2,2s2-0.9,2-2S5.1,8,4,8S2,8.9,2,10z"/></svg>',
                                                'keywords'          => array( 'content', 'read', 'more', 'button' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'rotator'       => array(
                                                'name'              => 'rotator',
                                                'title'             => __('Text rotator', 'thegoodplasticcompany'),
                                                'description'       => __('Text with rotating words.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/text-rotator.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M18,5h-2v8h-2l3,2l3-2h-2V5z M8,3h0.9c1.5,0.2,2.7,1.4,2.7,3H13V2H0v4h1.5c0-1.6,1.2-2.8,2.7-3H5v14H3v1h7v-1H8"/></svg>',
                                                'keywords'          => array( 'text', 'rotator' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'map'           => array(
                                                'name'              => 'map',
                                                'title'             => __('Map', 'thegoodplasticcompany'),
                                                'description'       => __('World map with markers.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/map.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M10,0C7.4,0,5.3,2.1,5.3,4.7c0,0.9,0.2,1.7,0.7,2.5l4,6.3l4-6.3c0.5-0.7,0.7-1.6,0.7-2.5C14.7,2.1,12.6,0,10,0z M10,7.6c-1.6,0-2.9-1.3-2.9-2.9S8.4,1.8,10,1.8s2.9,1.3,2.9,2.9S11.6,7.6,10,7.6z M7.1,20h5.7l-0.5-4H7.6L7.1,20z M7.7,15h2 l-1.7-2.6L7.7,15z M13.4,15H18l-1.5-3H13L13.4,15z M2,15h4.6L7,12H3.4L2,15z M10.3,15h2l-0.3-2.6L10.3,15z M6.4,16H1.5L0,20h6 L6.4,16z M18.5,16h-5l0.5,4h6L18.5,16z"/></svg>',
                                                'keywords'          => array( 'world', 'map', 'earth', 'location', 'marker' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => false
                                                                        )
                                            ),
                            'product-grid'  => array(
                                                'name'              => 'product-grid',
                                                'title'             => __('Product grid', 'thegoodplasticcompany'),
                                                'description'       => __('Displays products in a product grid.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/product-grid.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M14,12H6V4h8V12z M20,7h-5v5h5V7z M5,4H0v5h5V4z M5,10H3v2h2V10z M14,13h-3v3h3V13z M17,13h-2v2h2V13z"/></svg>',
                                                'keywords'          => array( 'world', 'map', 'earth', 'location', 'marker' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'stats'         => array(
                                                'name'              => 'stats',
                                                'title'             => __('Statistics', 'thegoodplasticcompany'),
                                                'description'       => __('Displays statistical numbers.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/stats.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M4,20H1V8h3V20z M9,0H6v20h3V0z M14,12h-3v8h3V12z M19,3h-3v17h3V3z"/></svg>',
                                                'keywords'          => array( 'world', 'map', 'earth', 'location', 'marker' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'news'          => array(
                                                'name'              => 'news',
                                                'title'             => __('News', 'thegoodplasticcompany'),
                                                'description'       => __('Shows a list of the latest articles published.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/news.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M15.7,2.2l-2.9-1.4L10,2.1L7.1,0.7L4.3,2.1L0,0v17.9C0,19,1,20,2.1,20h15.7c1.2,0,2.1-1,2.1-2.1V0 C20,0,15.7,2.2,15.7,2.2L15.7,2.2z M10,17H3v-7h7V17z M17,17h-6v-1h6V17z M17,14h-6v-1h6V14z M17,11h-6v-1h6V11z M17,9H3V6h14V9z"/></svg>',
                                                'keywords'          => array( 'article', 'news', 'post', 'feed' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'video-background' => array(
                                                'name'              => 'video-background',
                                                'title'             => __('Video background', 'thegoodplasticcompany'),
                                                'description'       => __('Displays a full-width block with video background.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/video-background.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M18.5,9.1l-16-9C2.2,0,1.8,0,1.5,0.1C1.2,0.3,1,0.6,1,1v18c0,0.4,0.2,0.7,0.5,0.9C1.7,20,1.8,20,2,20c0.2,0,0.3,0,0.5-0.1l16-9c0.3-0.2,0.5-0.5,0.5-0.9C19,9.6,18.8,9.3,18.5,9.1z"/></svg>',
                                                'keywords'          => array( 'video', 'background' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'faq'           => array(
                                                'name'              => 'faq',
                                                'title'             => __('F.A.Q.', 'thegoodplasticcompany'),
                                                'description'       => __('Displays frequently asked questions block.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/faq.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M20,13.5c0-2.5-1.4-4.7-3.6-5.8c-0.1,4.8-3.9,8.6-8.7,8.7c1.1,2.1,3.3,3.6,5.8,3.6c1.2,0,2.3-0.3,3.3-0.9L20,20 l-0.9-3.1C19.7,15.8,20,14.7,20,13.5z M15.3,7.6c0-4.2-3.4-7.6-7.6-7.6S0,3.4,0,7.6c0,1.4,0.4,2.7,1.1,3.9l-1,3.7l3.7-1 c1.2,0.7,2.5,1.1,3.9,1.1C11.8,15.3,15.3,11.8,15.3,7.6z M6.5,6H5.3c0-1.4,1.1-2.5,2.3-2.5S10,4.6,10,5.9c0,0.7-0.3,1.3-0.8,1.7 L8,8.5V10H7V8l1.4-1.3c0.2-0.2,0.4-0.5,0.4-0.9c0-0.6-0.5-1.2-1.2-1.2S6.5,5.2,6.5,6z M7,11h1v1H7V11z"/></svg>',
                                                'keywords'          => array( 'question', 'toggleable', 'accordion' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            ),
                            'downloadable'  => array(
                                                'name'              => 'downloadable',
                                                'title'             => __('Download', 'thegoodplasticcompany'),
                                                'description'       => __('Displays a block with downloadable content.', 'thegoodplasticcompany'),
                                                'render_template'   => 'template-parts/blocks/downloadable.php',
                                                'category'          => 'theme-blocks',
                                                'icon'              => '<svg viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M16.3,7.6c-0.1-3.4-2.9-6.1-6.3-6.1c-1.6,0-3.1,0.6-4.2,1.6C4.7,4,4,5.2,3.8,6.6C2.8,6.8,1.9,7.3,1.3,8 C0.5,8.9,0,10,0,11.2c0,1.2,0.4,2.3,1.2,3.2c0.8,0.9,1.9,1.4,3,1.6l0,0h0.1v-1.5l0,0c0,0,0,0,0,0v0h0c-1.6-0.2-2.8-1.6-2.8-3.2 c0-1.7,1.3-3.1,2.9-3.2L5.1,8l0.1-0.6c0.2-2.4,2.3-4.3,4.7-4.3c2.6,0,4.8,2.1,4.8,4.8v1.4h1.1c1.4,0,2.6,1.2,2.6,2.6 c0,1.4-1.2,2.6-2.6,2.6h-0.2V16h0.2c2.3,0,4.2-1.9,4.2-4.2C20,9.6,18.4,7.9,16.3,7.6z M13.1,13.4l-2.3,2.3V8H9.2v7.7l-2.3-2.3 l-1.1,1.1l4.2,4.2l4.2-4.2L13.1,13.4z"/></svg>',
                                                'keywords'          => array( 'download', 'file' ),
                                                'supports'          => array(
                                                                            'align'     => false,
                                                                            'mode'      => true,
                                                                            'multiple'  => true
                                                                        )
                                            )
                            
                        );
            
            // register a blocks
            foreach ($blocks as $block=>$args) {
                acf_register_block_type($args);
            }
        }
        add_action('acf/init', 'thegoodplasticcompany_register_acf_block_types');
    }
    