<?php
    /**
     * Custom fields
     */

    if( function_exists('acf_add_local_field_group') ):

        acf_add_local_field_group(array(
        	'key' => 'group_5eb49ca999ee9',
        	'title' => 'Bespoke products block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eb49d66e8636',
        			'label' => 'Title',
        			'name' => 'bespoke_title',
        			'type' => 'text',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'placeholder' => '',
        			'prepend' => '',
        			'append' => '',
        			'maxlength' => '',
        		),
        		array(
        			'key' => 'field_5eb49d7ce8637',
        			'label' => 'Description',
        			'name' => 'bespoke_description',
        			'type' => 'wysiwyg',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'tabs' => 'all',
        			'toolbar' => 'full',
        			'media_upload' => 1,
        			'delay' => 0,
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'post_type',
        				'operator' => '==',
        				'value' => 'page',
        			),
        			array(
        				'param' => 'page_template',
        				'operator' => '==',
        				'value' => 'page_products.php',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea0d86d57bb6',
        	'title' => 'Hero',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea21555c7f31',
        			'label' => '',
        			'name' => 'video',
        			'type' => 'group',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'layout' => 'row',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5ea0d88eae74f',
        					'label' => 'Video file',
        					'name' => 'file',
        					'type' => 'file',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'return_format' => 'url',
        					'library' => 'all',
        					'min_size' => '',
        					'max_size' => '',
        					'mime_types' => '',
        				),
        				array(
        					'key' => 'field_5ea0d948ae750',
        					'label' => 'Title',
        					'name' => 'title',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        				array(
        					'key' => 'field_5ea0d997ae751',
        					'label' => 'Description',
        					'name' => 'description',
        					'type' => 'textarea',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'maxlength' => '',
        					'rows' => 5,
        					'new_lines' => 'wpautop',
        				),
        				array(
        					'key' => 'field_5ea1e275fdd58',
        					'label' => 'Style',
        					'name' => 'style',
        					'type' => 'button_group',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'choices' => array(
        						'dark' => 'Dark',
        						'light' => 'Light',
        					),
        					'allow_null' => 0,
        					'default_value' => 'dark',
        					'layout' => 'horizontal',
        					'return_format' => 'value',
        				),
        				array(
        					'key' => 'field_5ea1e65693132',
        					'label' => 'Overlay opacity',
        					'name' => 'opacity',
        					'type' => 'range',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => 20,
        					'min' => 0,
        					'max' => 99,
        					'step' => 1,
        					'prepend' => '',
        					'append' => '%',
        				),
        			),
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'post_type',
        				'operator' => '==',
        				'value' => 'page',
        			),
        			array(
        				'param' => 'page_template',
        				'operator' => '!=',
        				'value' => 'page_products.php',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'side',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea35890ede5f',
        	'title' => 'Image block',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea358aacb651',
        			'label' => 'Image',
        			'name' => 'image_file',
        			'type' => 'image',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'return_format' => 'id',
        			'preview_size' => 'post-thumbnail',
        			'library' => 'all',
        			'min_width' => '',
        			'min_height' => '',
        			'min_size' => '',
        			'max_width' => '',
        			'max_height' => '',
        			'max_size' => '',
        			'mime_types' => '',
        		),
        		array(
        			'key' => 'field_5eb1644c250f7',
        			'label' => 'Image size',
        			'name' => 'image_size',
        			'type' => 'select',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'choices' => array(
        				'thumbnail' => 'Thumbnail',
        				'medium' => 'Medium',
        				'large' => 'Large',
        				'full' => 'Full Size',
        				'portrait' => 'Portrait (Cropped)',
        				'landscape' => 'Landscape (Cropped)',
        				'post-thumbnail' => 'Square (Cropped)',
        			),
        			'default_value' => array(
        				0 => 'large',
        			),
        			'allow_null' => 0,
        			'multiple' => 0,
        			'ui' => 0,
        			'return_format' => 'value',
        			'ajax' => 0,
        			'placeholder' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/floating-image',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5eaad4cfcb736',
        	'title' => 'Map block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eaad4eb2ec8f',
        			'label' => '',
        			'name' => 'map_location',
        			'type' => 'repeater',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'collapsed' => '',
        			'min' => 1,
        			'max' => 0,
        			'layout' => 'block',
        			'button_label' => 'Add location',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5eaad9442ec90',
        					'label' => 'Title',
        					'name' => 'title',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        				array(
        					'key' => 'field_5eaad97e2ec91',
        					'label' => 'Description',
        					'name' => 'description',
        					'type' => 'textarea',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'maxlength' => '',
        					'rows' => 5,
        					'new_lines' => 'br',
        				),
        				array(
        					'key' => 'field_5eaadae172019',
        					'label' => 'Coordinates',
        					'name' => 'coordinates',
        					'type' => 'group',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'layout' => 'block',
        					'sub_fields' => array(
        						array(
        							'key' => 'field_5eaadc51fab79',
        							'label' => 'Latitude',
        							'name' => 'latitude',
        							'type' => 'number',
        							'instructions' => '',
        							'required' => 0,
        							'conditional_logic' => 0,
        							'wrapper' => array(
        								'width' => '',
        								'class' => '',
        								'id' => '',
        							),
        							'default_value' => '',
        							'placeholder' => '',
        							'prepend' => '',
        							'append' => '',
        							'min' => -90,
        							'max' => 90,
        							'step' => '0.01',
        						),
        						array(
        							'key' => 'field_5eaadcc0fab7a',
        							'label' => 'Longitude',
        							'name' => 'longitude',
        							'type' => 'number',
        							'instructions' => '',
        							'required' => 0,
        							'conditional_logic' => 0,
        							'wrapper' => array(
        								'width' => '',
        								'class' => '',
        								'id' => '',
        							),
        							'default_value' => '',
        							'placeholder' => '',
        							'prepend' => '',
        							'append' => '',
        							'min' => -180,
        							'max' => 180,
        							'step' => '0.01',
        						),
        					),
        				),
        				array(
        					'key' => 'field_5eaad9aa2ec92',
        					'label' => 'Is local partner?',
        					'name' => 'is_partner',
        					'type' => 'true_false',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'message' => '',
        					'default_value' => 0,
        					'ui' => 1,
        					'ui_on_text' => '',
        					'ui_off_text' => '',
        				),
        			),
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/map',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'side',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea37b9fd6a55',
        	'title' => 'Product grid block',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea37bc3f6935',
        			'label' => '',
        			'name' => 'product',
        			'type' => 'repeater',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'collapsed' => '',
        			'min' => 1,
        			'max' => 6,
        			'layout' => 'block',
        			'button_label' => 'Add image',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5ea37beaf6936',
        					'label' => 'Image',
        					'name' => 'image',
        					'type' => 'image',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'return_format' => 'id',
        					'preview_size' => 'post-thumbnail',
        					'library' => 'all',
        					'min_width' => '',
        					'min_height' => '',
        					'min_size' => '',
        					'max_width' => '',
        					'max_height' => '',
        					'max_size' => '',
        					'mime_types' => '',
        				),
        			),
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/product-grid',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5eab80230ccba',
        	'title' => 'Product meta',
        	'fields' => array(
        		array(
        			'key' => 'field_5eabd415b9f1d',
        			'label' => 'Out of production?',
        			'name' => 'out_of_production',
        			'type' => 'true_false',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'message' => '',
        			'default_value' => 0,
        			'ui' => 1,
        			'ui_on_text' => '',
        			'ui_off_text' => '',
        		),
        		array(
        			'key' => 'field_5eab804ad8ec6',
        			'label' => 'Product gallery',
        			'name' => 'product_gallery',
        			'type' => 'gallery',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'return_format' => 'url',
        			'preview_size' => 'thumbnail',
        			'insert' => 'append',
        			'library' => 'all',
        			'min' => 0,
        			'max' => 3,
        			'min_width' => '',
        			'min_height' => '',
        			'min_size' => '',
        			'max_width' => '',
        			'max_height' => '',
        			'max_size' => '',
        			'mime_types' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'post_type',
        				'operator' => '==',
        				'value' => 'product',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'side',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea328cbb011e',
        	'title' => 'Stats block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eb16925894ec',
        			'label' => 'Font Size',
        			'name' => 'stats_font_size',
        			'type' => 'select',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'choices' => array(
        				'display4' => 'Huge',
        				'h1' => 'Large',
        				'h2' => 'Larger',
        				'h3' => 'Normal',
        			),
        			'default_value' => array(
        				0 => 'display4',
        			),
        			'allow_null' => 0,
        			'multiple' => 0,
        			'ui' => 0,
        			'return_format' => 'value',
        			'ajax' => 0,
        			'placeholder' => '',
        		),
        		array(
        			'key' => 'field_5ea328e37271a',
        			'label' => '',
        			'name' => 'stats',
        			'type' => 'repeater',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'collapsed' => '',
        			'min' => 1,
        			'max' => 3,
        			'layout' => 'block',
        			'button_label' => 'Add value',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5ea329ef7271b',
        					'label' => 'Value',
        					'name' => 'value',
        					'type' => 'number',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'min' => 1,
        					'max' => '',
        					'step' => 1,
        				),
        				array(
        					'key' => 'field_5ea32a227271c',
        					'label' => 'Prefix',
        					'name' => 'prefix',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        				array(
        					'key' => 'field_5ea32a347271d',
        					'label' => 'Suffix',
        					'name' => 'suffix',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        				array(
        					'key' => 'field_5ea32a4d7271e',
        					'label' => 'Description',
        					'name' => 'description',
        					'type' => 'textarea',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'maxlength' => '',
        					'rows' => 5,
        					'new_lines' => 'br',
        				),
        				array(
        					'key' => 'field_5ea32b276286c',
        					'label' => 'Animated?',
        					'name' => 'animated',
        					'type' => 'true_false',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'message' => '',
        					'default_value' => 1,
        					'ui' => 1,
        					'ui_on_text' => '',
        					'ui_off_text' => '',
        				),
        				array(
        					'key' => 'field_5eb168518bbed',
        					'label' => 'Animation speed',
        					'name' => 'animation_speed',
        					'type' => 'range',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => array(
        						array(
        							array(
        								'field' => 'field_5ea32b276286c',
        								'operator' => '==',
        								'value' => '1',
        							),
        						),
        					),
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => 1500,
        					'min' => 50,
        					'max' => 5000,
        					'step' => 50,
        					'prepend' => '',
        					'append' => '',
        				),
        			),
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/stats',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea2eaef59c4d',
        	'title' => 'Target for blocks',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea2eb0db314e',
        			'label' => 'Target',
        			'name' => 'target',
        			'type' => 'group',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'layout' => 'block',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5ea2eb34b314f',
        					'label' => 'Type',
        					'name' => 'type',
        					'type' => 'button_group',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'choices' => array(
        						'page' => 'Page',
        						'link' => 'Link',
        					),
        					'allow_null' => 0,
        					'default_value' => 'page',
        					'layout' => 'horizontal',
        					'return_format' => 'value',
        				),
        				array(
        					'key' => 'field_5ea2eb6db3150',
        					'label' => 'Select a page:',
        					'name' => 'post',
        					'type' => 'page_link',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => array(
        						array(
        							array(
        								'field' => 'field_5ea2eb34b314f',
        								'operator' => '==',
        								'value' => 'page',
        							),
        						),
        					),
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'post_type' => array(
        						0 => 'page',
        						1 => 'product',
        					),
        					'taxonomy' => '',
        					'allow_null' => 0,
        					'allow_archives' => 1,
        					'multiple' => 0,
        				),
        				array(
        					'key' => 'field_5ea2ebd1b3151',
        					'label' => 'URL:',
        					'name' => 'link',
        					'type' => 'url',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => array(
        						array(
        							array(
        								'field' => 'field_5ea2eb34b314f',
        								'operator' => '==',
        								'value' => 'link',
        							),
        						),
        					),
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        				),
        			),
        		),
        		array(
        			'key' => 'field_5ebef868e2d31',
        			'label' => 'Display in popup',
        			'name' => 'in_popup',
        			'type' => 'true_false',
        			'instructions' => 'Check to display the content in popup window (Pages only)',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'message' => '',
        			'default_value' => 0,
        			'ui' => 1,
        			'ui_on_text' => '',
        			'ui_off_text' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/read-more',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5e9f879037e8e',
        	'title' => 'Text rotator block',
        	'fields' => array(
        		array(
        			'key' => 'field_5e9f87d45143e',
        			'label' => 'Prefix',
        			'name' => 'prefix',
        			'type' => 'text',
        			'instructions' => 'This text will be prepended to Rotating words.',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'placeholder' => '',
        			'prepend' => '',
        			'append' => '',
        			'maxlength' => '',
        		),
        		array(
        			'key' => 'field_5e9f9110f2107',
        			'label' => 'Rotating words',
        			'name' => 'rotating',
        			'type' => 'repeater',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'collapsed' => '',
        			'min' => 1,
        			'max' => 5,
        			'layout' => 'block',
        			'button_label' => 'Add string',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5e9f9150a02b0',
        					'label' => '',
        					'name' => 'word',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => 'Type something in...',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        			),
        		),
        		array(
        			'key' => 'field_5e9f92d3bc08d',
        			'label' => 'Suffix',
        			'name' => 'suffix',
        			'type' => 'text',
        			'instructions' => 'This text will be appended to Rotating words.',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'placeholder' => '',
        			'prepend' => '',
        			'append' => '',
        			'maxlength' => '',
        		),
        		array(
        			'key' => 'field_5e9f9c3830720',
        			'label' => 'Animation effect',
        			'name' => 'animation',
        			'type' => 'select',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'choices' => array(
        				'dissolve' => 'dissolve',
        				'fade' => 'fade',
        				'flip' => 'flip',
        				'flipUp' => 'flipUp',
        				'flipCube' => 'flipCube',
        				'flipCubeUp' => 'flipCubeUp',
        				'spin' => 'spin',
        			),
        			'default_value' => array(
        				0 => 'flipCubeUp',
        			),
        			'allow_null' => 0,
        			'multiple' => 0,
        			'ui' => 0,
        			'return_format' => 'value',
        			'ajax' => 0,
        			'placeholder' => '',
        		),
        		array(
        			'key' => 'field_5e9f9cca30721',
        			'label' => 'Animation speed',
        			'name' => 'speed',
        			'type' => 'range',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => 3000,
        			'min' => 1000,
        			'max' => 7000,
        			'step' => 250,
        			'prepend' => '',
        			'append' => 'ms',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/rotator',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'seamless',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea2d5fc5c486',
        	'title' => 'Title for blocks',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea2d616ddb8e',
        			'label' => 'Title',
        			'name' => 'title',
        			'type' => 'text',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'placeholder' => '',
        			'prepend' => '',
        			'append' => '',
        			'maxlength' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/tagline',
        			),
        		),
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/floating-title',
        			),
        		),
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/read-more',
        			),
        		),
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/news',
        			),
        		),
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/faq',
        			),
        		),
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/downloadable',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5eac026532c29',
        	'title' => 'Video block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eac027e2ce6e',
        			'label' => 'Video file',
        			'name' => 'background_video',
        			'type' => 'file',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'return_format' => 'url',
        			'library' => 'all',
        			'min_size' => '',
        			'max_size' => '',
        			'mime_types' => 'mp4',
        		),
        		array(
        			'key' => 'field_5ec254a029b72',
        			'label' => 'Poster',
        			'name' => 'video_poster',
        			'type' => 'image',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'return_format' => 'url',
        			'preview_size' => 'medium',
        			'library' => 'all',
        			'min_width' => '',
        			'min_height' => '',
        			'min_size' => '',
        			'max_width' => 1200,
        			'max_height' => 1200,
        			'max_size' => '0.5',
        			'mime_types' => 'jpg,jpeg,png',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/video-background',
        			),
        		),
        	),
        	'menu_order' => 0,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5eb41067d87b1',
        	'title' => 'Downloadable block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eb411634ffda',
        			'label' => 'Description',
        			'name' => 'downloadable_description',
        			'type' => 'wysiwyg',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => '',
        			'tabs' => 'all',
        			'toolbar' => 'basic',
        			'media_upload' => 0,
        			'delay' => 1,
        		),
        		array(
        			'key' => 'field_5eb410f44ffd9',
        			'label' => 'File to download',
        			'name' => 'downloadable_file',
        			'type' => 'file',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'return_format' => 'url',
        			'library' => 'all',
        			'min_size' => '',
        			'max_size' => '',
        			'mime_types' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/downloadable',
        			),
        		),
        	),
        	'menu_order' => 1,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5eac41d79a9c3',
        	'title' => 'F.A.Q. block',
        	'fields' => array(
        		array(
        			'key' => 'field_5eac41eb6036b',
        			'label' => 'List of Questions',
        			'name' => 'faq_list',
        			'type' => 'repeater',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'collapsed' => '',
        			'min' => 1,
        			'max' => 0,
        			'layout' => 'block',
        			'button_label' => 'Add question',
        			'sub_fields' => array(
        				array(
        					'key' => 'field_5eac42436036c',
        					'label' => 'Question',
        					'name' => 'question',
        					'type' => 'text',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'placeholder' => '',
        					'prepend' => '',
        					'append' => '',
        					'maxlength' => '',
        				),
        				array(
        					'key' => 'field_5eac42566036d',
        					'label' => 'Answer',
        					'name' => 'answer',
        					'type' => 'wysiwyg',
        					'instructions' => '',
        					'required' => 0,
        					'conditional_logic' => 0,
        					'wrapper' => array(
        						'width' => '',
        						'class' => '',
        						'id' => '',
        					),
        					'default_value' => '',
        					'tabs' => 'all',
        					'toolbar' => 'basic',
        					'media_upload' => 0,
        					'delay' => 1,
        				),
        			),
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/faq',
        			),
        		),
        	),
        	'menu_order' => 1,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        acf_add_local_field_group(array(
        	'key' => 'group_5ea30984a87e0',
        	'title' => 'News block',
        	'fields' => array(
        		array(
        			'key' => 'field_5ea30a1bef2c8',
        			'label' => 'Order by',
        			'name' => 'news_order_by',
        			'type' => 'select',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'choices' => array(
        				'desc' => 'Newest to oldest',
        				'asc' => 'Oldest to newest',
        				'random' => 'Random',
        			),
        			'default_value' => array(
        				0 => 'desc',
        			),
        			'allow_null' => 0,
        			'multiple' => 0,
        			'ui' => 0,
        			'return_format' => 'value',
        			'ajax' => 0,
        			'placeholder' => '',
        		),
        		array(
        			'key' => 'field_5ea30992ef2c7',
        			'label' => 'Number of items',
        			'name' => 'news_count',
        			'type' => 'range',
        			'instructions' => '',
        			'required' => 0,
        			'conditional_logic' => 0,
        			'wrapper' => array(
        				'width' => '',
        				'class' => '',
        				'id' => '',
        			),
        			'default_value' => 3,
        			'min' => 1,
        			'max' => 5,
        			'step' => 1,
        			'prepend' => '',
        			'append' => '',
        		),
        	),
        	'location' => array(
        		array(
        			array(
        				'param' => 'block',
        				'operator' => '==',
        				'value' => 'acf/news',
        			),
        		),
        	),
        	'menu_order' => 1,
        	'position' => 'normal',
        	'style' => 'default',
        	'label_placement' => 'top',
        	'instruction_placement' => 'label',
        	'hide_on_screen' => '',
        	'active' => true,
        	'description' => '',
        ));

        endif;