<?php
    class Post_Types extends Custom_Post_Types {
        protected $types;
        protected $columns;
        protected $taxonomies;
        public function __construct() {
            
            $this->types    = array(
                                'product'   => array(
                                                    'labels'             => array(
                                                        'name'           => __('Products', 'thegoodplasticcompany'),
                                                        'singular_name'  => __('Product', 'thegoodplasticcompany'),
                                                        'search_items'   => __('Search', 'thegoodplasticcompany'),
                                                        'name_admin_bar' => __('Product', 'thegoodplasticcompany'),
                                                        'add_new'        => __('Add new', 'thegoodplasticcompany'),
                                                    ),
                                                    'supports'           => array('title', 'editor', 'thumbnail'),
                                                    'public'             => true,
                                                    'has_archive'        => false,
                                                    'rewrite'            => array('slug' => 'product'),
                                                    'show_in_rest'       => true,
                                                    'menu_position'      => 5,
                                                    'menu_icon'          => 'data:image/svg+xml;base64,' . base64_encode( '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="20px" viewBox="0 0 20 20"><path fill="#82878c" d="M14,18L1,20L5,3l12-2L14,18z M19,4h-1l-2,12h1L19,4z"/></svg>' )
                                                ),
                                'project'   => array(
                                                    'labels'             => array(
                                                        'name'           => __('Projects', 'thegoodplasticcompany'),
                                                        'singular_name'  => __('Project', 'thegoodplasticcompany'),
                                                        'search_items'   => __('Search', 'thegoodplasticcompany'),
                                                        'name_admin_bar' => __('Project', 'thegoodplasticcompany'),
                                                        'add_new'        => __('Add new', 'thegoodplasticcompany'),
                                                    ),
                                                    'supports'           => array('title', 'editor', 'thumbnail'),
                                                    'public'             => true,
                                                    'has_archive'        => true,
                                                    'rewrite'            => array('slug' => 'projects'),
                                                    'show_in_rest'       => true,
                                                    'menu_position'      => 5,
                                                    'menu_icon'          => 'data:image/svg+xml;base64,' . base64_encode( '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="20px" viewBox="0 0 20 20"><path fill="#82878c" d="M19.8,6l-9.6-5C10.1,1,9.9,1,9.8,1L0.2,6C0.1,6.1,0,6.3,0,6.4s0.1,0.3,0.2,0.4l9.6,5c0.1,0,0.1,0,0.2,0 c0.1,0,0.1,0,0.2,0l9.6-5C19.9,6.7,20,6.6,20,6.4C20,6.3,19.9,6.1,19.8,6z M19.8,9.4l-1.6-0.8l-7.6,4c-0.2,0.1-0.4,0.1-0.6,0.1 s-0.4,0-0.6-0.1l-7.6-4L0.2,9.4C0.1,9.5,0,9.6,0,9.7c0,0.2,0.1,0.3,0.2,0.4l9.6,5c0.1,0,0.1,0,0.2,0c0.1,0,0.1,0,0.2,0l9.6-5 C19.9,10,20,9.9,20,9.7C20,9.6,19.9,9.5,19.8,9.4z M19.8,12.7l-1.6-0.8l-7.6,4C10.4,16,10.2,16,10,16s-0.4,0-0.6-0.1l-7.6-4 l-1.6,0.8C0.1,12.8,0,12.9,0,13.1s0.1,0.3,0.2,0.4l9.6,5c0.1,0,0.1,0,0.2,0c0.1,0,0.1,0,0.2,0l9.6-5c0.1-0.1,0.2-0.2,0.2-0.4 C20,12.9,19.9,12.8,19.8,12.7z"/></svg>' )
                                                ),
                            );
                            
            $this->columns  = array(
                                'product'       => array(
                                                    'featured-image'    => array(
                                                                            'column_title'     => __('Image', 'thegoodplasticcompany'),
                                                                            'column_meta_key'  => '_thumbnail_id'
                                                                        ),
                                                    'title'             => array()
                                                ),
                                'project'       => array(
                                                    'featured-image'    => array(
                                                                            'column_title'     => __('Image', 'thegoodplasticcompany'),
                                                                            'column_meta_key'  => '_thumbnail_id'
                                                                        ),
                                                    'title'             => array()
                                                )
                                );
            
            $this->init();
        }
        public function init() {
            if( !empty($this->types) ) {
                $this->post_types_init();
            }
            
            if( !empty($this->columns) ) {
                $this->columns_init();
            }
            
            if( !empty($this->taxonomies) ) {
                $this->taxonomies_init();
            }
        }
        protected function post_types_init() {
            $this->register($this->types);
        }
        protected function taxonomies_init() {
            $this->register_taxonomies($this->taxonomies);
        }
        protected function columns_init() {
            $this->sortable_columns($this->columns);
        }
    }
    new Post_Types();