<?php
    /**
     * Downloadable block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'downloadable-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-downloadable';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    ?>
<div class="my-1 mt-sm-3 mb-sm-2 <?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>">
  <div class="row position-relative zi-1">
    <div class="col-12 col-sm-4 col-lg-4 offset-lg-1">
      <h5 class="mb-2 mb-sm-0"><?php echo get_field('title'); ?>
      </h5>
    </div>
    <div class="col-12 col-sm-6 col-lg-5 mb-1 mb-sm-0">
      <div class="content-downloadable-description"><?php echo get_field('downloadable_description'); ?>
      </div>
    </div>
    <?php
    
    if( !empty(get_field('downloadable_file')) ) {
        echo '
    <div class="col-12 col-sm-1"><a class="content-downloadable-icon" href="' . get_field('downloadable_file') . '" target="_blank"><i class="icon icon-download"></i></a></div>';
    }?>
    
  </div>
</div>
<div class="content-section-tagline mt-1 mb-2 my-sm-2">&nbsp;
  <div class="content-section-tagline-mask border-bottom"></div>
</div>