<?php
    /**
     * Floating image block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'floating-image-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-floating-image';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    $image_id = get_field('image_file');
    if( !empty($image_id) ) {
        $image_size = get_field('image_size');
        echo '
<div class="' . esc_attr($className) . '" id="' . esc_attr($id) . '">
  <div class="content-image-mask">
    <div data-scroll="data-scroll" data-scroll-speed=".75">' . wp_get_attachment_image( $image_id, !empty($image_size) ? $image_size : 'large', false ) . '</div>
  </div>
</div>';
    }
?>