<?php
    /**
     * Floating Title block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'floating-title-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'h1';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    ?>
<h2 class="<?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>" data-scroll="data-scroll" data-scroll-speed=".75"><?php echo get_field('title') ?>
</h2>