<?php
    /**
     * World Map block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'world-map-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-world-map';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    
    $locations = get_field('map_location');
    $markers = '';
    $markers_var = 'map_' . $block['id'] . '_markers';
    foreach($locations as $location) {
        $markers .= (!empty($markers) ? ',' : '') . '{name:\'' . $location['title'] . '\',latLng:[' . $location['coordinates']['latitude'] . ',' . $location['coordinates']['longitude'] . '],status:\'' . ( $location['is_partner'] ? 'partner' : 'common' ) . '\',icon:\'' . ( $location['is_partner'] ? get_stylesheet_directory_uri() . '/assets/images/marker-partner.png' : get_stylesheet_directory_uri() . '/assets/images/marker-common.png' ) . '\',description:\'<div class="content-world-map-tip' . ($location['is_partner'] ? ' content-world-map-tip-partner' : '') . '"><strong>' . $location['title'] . '</strong>' . preg_replace( "/\r|\n/", '', $location['description']) . ( $location['is_partner'] ? '<em>' . __('local partner', 'thegoodplasticcompany') . '</em>' : '') . '</div>\'}';
    }
    if(!empty($markers)) {
        echo '<script type="text/javascript">var ' . $markers_var . ' = [' . $markers . '];</script>';
    }
?>
<div class="<?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>" data-markers="<?php echo $markers_var; ?>">
  <div class="content-world-map-notice"><?php _e('Use ctrl + scroll to zoom the map.', 'thegoodplasticcompany'); ?>
  </div>
</div>
<?php

if($is_preview) {
    echo '
<script type="text/javascript" src="' . get_stylesheet_directory_uri() . '/assets/scripts/editor/script-block-map.js' . '"></script>';
}?>
