<?php
    /**
     * Read More block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'content-read-more-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'text-right mt-lg-2';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    
    $target = '';
    $target_type = get_field('target_type');
    if( $target_type == 'page' ) {
        $target = get_field('target_post');
    } else {
        $target = get_field('target_link');
    }
    $in_popup = get_field('in_popup');
    
    if( $is_preview ) {
        echo '
<p><span class="content-read-more">' . get_field('title') . '</span></p>';
    } else {
        echo '
<div class="' . esc_attr($className) . '" id="' . esc_attr($id) . '" data-scroll="data-scroll" data-scroll-speed="-0.5" data-scroll-delay="0.05"><a class="content-read-more' . ( $in_popup ? ' content-read-more-popup' : '' ) . '" href="' . $target . '">' . get_field('title') . '</a></div>';
    }
    
    ?>