<?php
    /**
     * Tagline block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'tagline-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-section-tagline mt-1 mb-2 mb-lg-3';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    ?>
<div class="<?php echo esc_attr($className); ?>" id="<?php echo esc_attr($id); ?>">
  <div class="row">
    <div class="col-12 col-lg-11 offset-lg-1">
      <?php
      echo '
      <h5>' . get_field('title') . '</h5>';
      if( $is_preview ) {
          echo '
      <hr/>';
      }?>
      
    </div>
  </div>
  <div class="content-section-tagline-mask border-bottom"></div>
</div>