<?php
    /**
     * Video Background block template
     *
     * @param   array $block The block settings and attributes.
     * @param   string $content The block inner HTML (empty).
     * @param   bool $is_preview True during AJAX preview.
     * @param   (int|string) $post_id The post ID this block is saved to.
     *
     */

    // Create id attribute allowing for custom "anchor" value.
    $id = 'video-background-' . $block['id'];
    if( !empty($block['anchor']) ) {
        $id = $block['anchor'];
    }

    // Create class attribute allowing for custom "className" and "align" values.
    $className = 'content-video-background';
    if( !empty($block['className']) ) {
        $className .= ' ' . $block['className'];
    }
    echo '
<div class="' . esc_attr($className) . '" id="' . esc_attr($id) . '">
  <div class="content-video-background-container" data-content-video="' . get_field('background_video') . '" data-scroll="data-scroll" data-scroll-speed="-3" data-content-video-poster="' . get_field('video_poster') . '"></div>
  <div class="content-video-background-controls"></div>
</div>';
    if($is_preview) {
        echo '
<script type="text/javascript" src="' . get_stylesheet_directory_uri() . '/assets/scripts/editor/script-block-video.js' . '"></script>';
    }
    ?>